跳转到主要内容
POST
/
beta
/
v2
/
enterprise
/
repositories
/
bulk-index
批量索引仓库
curl --request POST \
  --url https://api.devin.ai/beta/v2/enterprise/repositories/bulk-index \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "org_id": "<string>",
  "repo_names": [
    "<string>"
  ]
}
'
import requests

url = "https://api.devin.ai/beta/v2/enterprise/repositories/bulk-index"

payload = {
"org_id": "<string>",
"repo_names": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org_id: '<string>', repo_names: ['<string>']})
};

fetch('https://api.devin.ai/beta/v2/enterprise/repositories/bulk-index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
该端点允许你一次性索引多个代码仓库,使 Devin 能在会话期间访问它们。单个请求最多可以索引 100 个代码仓库。
代码仓库索引是异步操作。请使用 Get Repository Status 端点来检查索引进度。

授权

Authorization
string
header
必填

仅供 Enterprise 管理员使用的个人 API Key(apk_user_*)

请求体

application/json
org_id
string
必填
repo_names
string[]
必填
Required array length: 1 - 100 elements

响应

成功响应

status
string
默认值:success